Subject: bug#61350: Eglot over Tramp freezes with large project

From: Michael Albinus <[email-masked]>
Date: Sat, 18 Mar 2023 13:34:43 +0100

Stefan Monnier <[email-masked]> writes:

Hi Stefan,

> PS: An unrelated comment, is that `shared-socket` and `vector` should be
> renamed to clarify that these are properties specific to Tramp processes
> (i.e. use a `tramp-` prefix).

That's true. There are three properties which shall keep their names,
`remote-tty', `remote-pid' and `remote-command'. They are documented in
(info "(tramp) Remote processes")

All other Trmp internal properties I have prefixed with `tramp-', as
proposed. Pushed to master.

>         Stefan

Best regards, Michael.